# 	$Id: initscripts.spec 31421 2006-05-23 22:47:39Z blino $	

# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

Summary: The inittab file and the /etc/init.d scripts
Name: initscripts
Version: 8.51
%define subrel 2
Release: %mkrel 6
License: GPL
Group: System/Base
Source0: initscripts-%{version}.tar.bz2
Patch:	initscripts-mdkconf.patch
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mingetty, /bin/awk, /bin/sed, mktemp, e2fsprogs >= 1.18-2mdk
Requires: procps >= 2.0.7-8mdk
Requires: gettext-base >= 0.10.35-20mdk
Requires: module-init-tools
#Requires: sysklogd >= 1.3.31
Requires: /sbin/fuser, which, setup >= 2.2.0-14mdk
Requires: /sbin/ip, /usr/sbin/arping
# (blino) for pidof -c
Requires: SysVinit >= 2.86-4mdk
Requires: perl-MDK-Common >= 1.0.1
Requires: ifplugd >= 0.24
Requires: sound-scripts
# (tv) unused:
#Prereq: gawk
Requires: iproute2
Requires: ethtool
Obsoletes: rhsound sapinit
Provides: rhsound sapinit
Conflicts: kernel <= 2.2, timeconfig < 3.0, pppd < 2.3.9, wvdial < 1.40-3
Conflicts: initscripts < 1.22.1-5, Aurora <= 7.2-17mdk
Conflicts: dhcpcd < 1.3.21pl1
Conflicts: XFree86-xfs < 4.2.0-12mdk
Conflicts: xinitrc < 2.4.12
Conflicts: lsb < 3.1-11mdv2007.1
Conflicts: suspend-scripts < 1.27
Requires: util-linux >= 2.10s, mount >= 2.11l
Requires: bootloader-utils > 1.4-1mdk
Requires: udev >= 097
Requires: ifmetric resolvconf
Requires: dmsetup
Requires: prcsys
Requires(pre): sed, grep, chkconfig >= 1.3.8-3mdk,
Requires(post): /usr/bin/tr grep, chkconfig >= 1.3.8-3mdk
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: popt-devel
BuildRequires: python
# http://fedora.redhat.com/projects/additional-projects/initscripts/
Url: http://cvs.mandriva.com/cgi-bin/viewvc.cgi/soft/initscripts/?root=svn

%description
The initscripts package contains the basic system scripts used to boot
your Mandriva Linux system, change run levels, and shut the system
down cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%prep
%setup -q
rm -f po/*.po{,t}
%patch0 -p0

gzip -9 ChangeLog

%build
make
make -C mandrake/ CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/var/run/netreport
chmod u=rwx,g=rwx,o=rx $RPM_BUILD_ROOT/var/run/netreport

#MDK
make -C mandrake/ install ROOT=$RPM_BUILD_ROOT mandir=%{_mandir}

python mandrake/gprintify.py `find %{buildroot}/etc/rc.d -type f` `find %{buildroot}/sysconfig/network-scripts -type f`

# warly 
# put locale in /usr, gettext need /usr/share
#
# extracted from /usr/lib/rpm/find-lang.sh and adapted to find locales in /etc
#find $RPM_BUILD_ROOT -type f|sed '
#1i\
#%defattr (644, root, root, 755)
#s:'"$RPM_BUILD_ROOT"'::
#s:\(.*/etc/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
#s:^\([^%].*\)::
#s:%lang(C) ::
#' >> %{name}.lang

%find_lang %{name}

%ifnarch s390 s390x
rm -f \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-ctc \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-iucv \
 $RPM_BUILD_ROOT/etc/udev/rules.d/55-ccw.rules \
 $RPM_BUILD_ROOT/lib/udev/ccw_init
%else
rm -f \
 $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit.s390init \
 $RPM_BUILD_ROOT/etc/sysconfig/init.s390
%endif

# remove unused hotplug helper and ipsec/isdn stuff
rm -f $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

%post
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp /var/run/utmp /var/log/btmp
chown root:utmp /var/log/wtmp /var/run/utmp /var/log/btmp
chmod 664 /var/log/wtmp /var/run/utmp
chmod 600 /var/log/btmp

%_mypost_service netfs

%_mypost_service network

%_mypost_service network-up

%_mypost_service partmon

%_mypost_service dm

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
        DESK=`cat /etc/sysconfig/desktop`
        echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			/etc/locale/$i/LC_MESSAGES/
                #
		# warly
		# FIXME: this should be done by each locale when installed or upgraded
		#
		pushd %{_datadir}/locale/$i/ > /dev/null && for j in LC_*
		do
			if [ -r $j -a ! -d $j ]; then
			    cp $j /etc/locale/$i/
			fi
		done && popd > /dev/null
		if [ -r %{_datadir}/locale/$i/LC_MESSAGES/SYS_LC_MESSAGES ]; then
			cp %{_datadir}/locale/$LANG/LC_MESSAGES/SYS_LC_MESSAGES /etc/locale/$i/LC_MESSAGES/
		fi
		#
		#
		break
	fi
done

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && egrep -q 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

# only needed on upgrade
if [ $1 != 0 ]; then
	# handle the switch to an independant prefdm initscript
	if grep -q '^x:5' /etc/inittab; then
		rm -f /etc/inittab.new
		sed 's/x:5/#x:5/' < /etc/inittab > /etc/inittab.new
		mv -f /etc/inittab.new /etc/inittab
		chkconfig --add dm || :
	fi

	# handle single user mode declaration
	if ! grep -q '..:S:' /etc/inittab; then
		cat >> /etc/inittab <<EOF

# Single user mode
~~:S:wait:/bin/sh
EOF
	fi
	
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
	
fi

%pre

# usb is called from rc.sysinit now
if [ "$1" -gt 0 ]; then
	/bin/grep -q 'chkconfig:' /etc/init.d/usb 2> /dev/null && /sbin/chkconfig --del usb > /dev/null 2>&1 || :
fi

%preun
%_preun_service netfs

%_preun_service network

%_preun_service network-up

%_preun_service dm

%_preun_service partmon

%triggerpostun -- initscripts <= 4.72

. /etc/sysconfig/init
. /etc/sysconfig/network

# These are the non-default settings. By putting them at the end
# of the /etc/sysctl.conf file, it will override the default
# settings earlier in the file.

if [ -n "$FORWARD_IPV4" -a "$FORWARD_IPV4" != "no" -a "$FORWARD_IPV4" != "false" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
fi

newnet=`mktemp /etc/sysconfig/network.XXXXXX`
if [ -n "$newnet" ]; then
  sed "s|FORWARD_IPV4.*|# FORWARD_IPV4 removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/network > $newnet
  sed "s|DEFRAG_IPV4.*|# DEFRAG_IPV4 removed; obsolete in 2.4. kernel|g" \
   $newnet > /etc/sysconfig/network
  rm -f $newnet
fi

if [ -n "$MAGIC_SYSRQ" -a "$MAGIC_SYSRQ" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.sysrq = 1" >> /etc/sysctl.conf
fi
if uname -m | grep -q sparc ; then
   if [ -n "$STOP_A" -a "$STOP_A" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.stop-a = 1" >> /etc/sysctl.conf
   fi
fi

%triggerun -- initscripts < 7.62
/sbin/chkconfig --del random
/sbin/chkconfig --del rawdevices
exit 0

%triggerpostun -- initscripts <= 8.38-2mdv2007.0
/sbin/chkconfig --add network-up
exit 0

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir /etc/sysconfig/network-scripts
%dir /etc/sysconfig/network-scripts/ifup.d
%dir /etc/sysconfig/network-scripts/ifdown.d
%dir /etc/sysconfig/network-scripts/wireless.d
%dir /etc/sysconfig/network-scripts/vpn.d
%dir /etc/sysconfig/network-scripts/vpn.d/openvpn
%dir /etc/sysconfig/network-scripts/vpn.d/pptp
%dir /etc/sysconfig/network-scripts/vpn.d/vpnc
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
%config(noreplace) /etc/sysconfig/autofsck
%config(noreplace) /etc/sysconfig/readonly-root
/etc/sysconfig/network-scripts/ifdown
/sbin/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
/sbin/ifup
%dir /etc/sysconfig
%dir /etc/sysconfig/console
%dir /etc/sysconfig/console/consoletrans
%dir /etc/sysconfig/console/consolefonts
%dir /etc/sysconfig/modules
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/tmp
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
%config(noreplace) /etc/sysconfig/networking/ifcfg-lo
%config(noreplace) /etc/sysconfig/network-scripts/network-functions
%config(noreplace) /etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-ipx
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifdown-sl
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-sl
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
#/etc/sysconfig/network-scripts/ifup-ippp
#/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/X11/prefdm
/etc/X11/lookupdm
/etc/rwtab
%dir /etc/rwtab.d
/etc/statetab
%dir /etc/statetab.d
%config(noreplace) /etc/inittab
%config(noreplace missingok) /etc/rc.d/rc[0-9].d/*
/etc/init.d
/etc/rc[0-9].d
/etc/rc
%dir /etc/rc.d/init.d
%config(noreplace) /etc/rc.local
/etc/rc.sysinit
/lib/lsb/init-functions
/etc/rc.d/init.d/*
/etc/rc.d/rc
%config(noreplace) /etc/rc.d/rc.local
/etc/rc.d/rc.sysinit
%config(noreplace) /etc/sysctl.conf
/etc/profile.d/10lang.sh
/etc/profile.d/10lang.csh
#mdk
%dir /etc/sysconfig/network-scripts/cellular.d
%dir /etc/sysconfig/network-scripts/hostname.d
#mdk
%config(noreplace) /etc/sysconfig/usb
#mdk
/etc/profile.d/inputrc.sh
#mdk
/etc/profile.d/inputrc.csh
#mdk
/etc/profile.d/tmpdir.sh
#mdk
/etc/profile.d/tmpdir.csh
#mdv
/etc/sysconfig/network-scripts/ifup.d/vpn
/etc/sysconfig/network-scripts/ifdown.d/vpn
/usr/sbin/vpn-start
/usr/sbin/vpn-stop
/usr/sbin/mdv-network-event
/usr/sbin/sys-unconfig
/sbin/setsysfont
/bin/doexec
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/fstab-decode
/sbin/genhostid
/sbin/getkey
%attr(2755,root,root) /sbin/netreport
/sbin/initlog
%ifarch s390 s390x
/lib/udev/ccw_init
%endif
/sbin/service
#mdk
/sbin/hibernate-cleanup.sh
/sbin/ppp-watch
%{_mandir}/man*/*
%lang(cs)	%{_mandir}/cs/man*/*
%lang(et)	%{_mandir}/et/man*/*
%lang(fi)	%{_mandir}/fi/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%lang(it)	%{_mandir}/it/man*/*
%lang(pt_BR)	%{_mandir}/pt_BR/man*/*
%lang(ru)	%{_mandir}/ru/man*/*
%lang(uk)	%{_mandir}/uk/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
%dir /etc/ppp/ip-down.d
%dir /etc/ppp/ip-up.d
%dir /etc/ppp/peers
/etc/ppp/ip-up
/etc/ppp/ip-down
/etc/ppp/ip-up.ipv6to4
/etc/ppp/ip-down.ipv6to4
/etc/ppp/ipv6-up
/etc/ppp/ipv6-down
%config(noreplace) /etc/initlog.conf
%doc sysconfig.txt sysvinitfiles ChangeLog.gz static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto
/var/lib/stateless
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
%config(noreplace) /etc/modules
/etc/rc.modules
%dir /etc/modprobe.preload.d/
%ifnarch sparc
/usr/sbin/supermount
%endif
/usr/bin/*
# warly
# gettext need /use/share/locale anyway
#%dir /etc/locale
#%dir /etc/locale/*
#%dir /etc/locale/*/LC_MESSAGES




%changelog
* Thu May 10 2007 Olivier Blin <oblin@mandriva.com> 8.51-6.2mdv2007.1
+ Revision: 26053
- fix shutdown splash translation (by setting LANGUAGE and LC_ALL for prcsys, #27663)
- do not warn about missing ipv6 (backport from 8.53, #29596)
- do not show sysctl warning in ipv6 script (backport from 8.53, #29841)
- do not wait for 10 useless seconds for interfaces with no link
- do not wait for network twice
- revert to 2007.1 sources

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 8.51-7mdv2007.1
+ Revision: 151214
- use start_udev instead of /etc/init.d/udev
- drop obsolete /lib/udev/devices support
- drop 2.4 support for usb/ieee1394 controllers hotplug

* Wed Apr 04 2007 Olivier Blin <oblin@mandriva.com> 8.51-6mdv2007.1
+ Revision: 150515
- do not make the network service require shorewall (revert changes introduced in 3mdv, #30095)

* Tue Apr 03 2007 Olivier Blin <oblin@mandriva.com> 8.51-5mdv2007.1
+ Revision: 150449
- setup non-root dmraid sets (#30064)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 8.51-4mdv2007.1
+ Revision: 149649
- fix link detection when ifplugstatus is not reliable (leeloo-approved)

* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 8.51-3mdv2007.1
+ Revision: 149047
- network service:
  o should start slmodemd
  o require shorewall instead of firewall
  o remove obsolete pcmcia require
  o remove obosolete ipw3945d require
- conflicts with old suspend-scripts version

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 8.51-2mdv2007.1
+ Revision: 148235
- do not conflict with suspend-scripts to ease upgrade, pm-utils will take care of the proper package ordering

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 8.51-1mdv2007.1
+ Revision: 141477
- 8.51 (sync with RedHat)
- rc.sysinit: avoid progress bar to go reverse
- drop incorrect Roaming wireless mode, rely on WIRELESS_WPA_DRIVER instead
- check NEEDHOSTNAME value, not only its definedness (for pump and dhcpcd)
- check for NOZEROCONF value, not only its definedness
- PEERGATEWAY support (#20806)
- netfs should have portmap during stop (from Giuseppe Ghibo)
- network service should start ipw3945d
- dm service should start lircmd (#20771)

* Wed Jan 24 2007 Olivier Blin <oblin@mandriva.com> 8.48-8mdv2007.1
+ Revision: 113016
- hibernate-cleanup script:
  o sync with upstream suspend2 project
  o handle user-space swsusp signature (from Andrey Borzenkov, #28292)
  o swap labels support (from Andrey Borzenkov, #28292)
- po files: adapted to plural-forms (Pablo)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 8.48-7mdv2007.1
+ Revision: 111144
- make the rc.local initscript LSB compliant (#24227)

* Sat Jan 20 2007 Olivier Blin <oblin@mandriva.com> 8.48-6mdv2007.1
+ Revision: 111142
- do not wrongly provide the local_fs system facility in netfs service (#25755)
- do not enforce portmap dependency in netfs service (#25668)
- allow the netfs service to mount NFS filesystems even if portmap is not started
- add a MIN_LINK_DETECTION_DELAY option, defaulting to 6 seconds (for network-up service, #28078)
- do not override NETWORKDELAY if set (network-up service)

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 8.48-5mdv2007.1
+ Revision: 110431
- move hibernate-cleanup.sh from suspend-scripts to initscripts

* Fri Jan 12 2007 Olivier Blin <oblin@mandriva.com> 8.48-4mdv2007.1
+ Revision: 108108
- add a clear_resolv_conf function in network-functions

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 8.48-3mdv2007.1
+ Revision: 103352
- resolvconf support

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 8.48-2mdv2007.1
+ Revision: 102435
- add lsb init-functions (#27475)

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 8.48-1mdv2007.1
+ Revision: 102408
- 8.48
- Import initscripts

* Wed Sep 20 2006 Olivier Blin <oblin@mandriva.com> 8.38-7mdv2007.0
-  enable swap automatically if configured so only (fix merge with rh8.38, #25908)

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com> 8.38-6mdv2007.0
- don't trust link beat reporting before the interface delay specified in
  LINK_DETECTION_DELAY (#18986)
- add network as Required-Stop in network-up service

* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com> 8.38-5mdv2007.0
- mount /proc/bus/usb if needed (#25340)
- start hibernate-cleanup.sh before swap is enabled (#25595)
- delay font loading if /usr/bin/locale can't be found (#24299)
- reset i18n settings when font is delayed (#24299)

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 8.38-4mdv2007.0
- network-up:
  o don't check non-existent devices
  o check link down on correct device
- from Frederic Crozat:
  o Don't load visor module anymore
  o reduce tmp cleanup

* Thu Sep 07 2006 Olivier Blin <oblin@mandriva.com> 8.38-3mdv2007.0
- add a network-up service that waits for network to be up (using NETWORKDELAY)
  and provides the $network system facility (#18986)
- use Mandriva Linux as distribution name in inittab(#25260)

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com> 8.38-2mdv2007.0
- revert to previous poweroff behaviour (#24432)
- fix network service status (thanks to Loic Baudry, #24344)

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 8.38-1mdv2007.0
- 8.38
- vpn-start: vpnc support
- add some documentation about Mandriva DHCP options (#14921)
- always source autofsck settings, for AUTOFSCK_CRYPTO_TIMEOUT (#16029)
- don't unmount /dev/root* but only /dev/root when halting system (#21469)
- remove X11R6 path in /etc/init.d/functions (#22951)
- require dmsetup (#24187)
- require prcsys and drop prcsys source code
- udev_copy_temp_rules is now in /sbin (#23196)

* Fri Aug 04 2006 Olivier Blin <oblin@mandriva.com> 8.35-2mdv2007.0
-  add vpn helpers (vpn-start, vpn-stop, and ifup.d/ifdown.d scripts)

* Fri Jul 21 2006 Olivier Blin <oblin@mandriva.com> 8.35-1mdv2007.0
- 8.35
- add mdv-network-event helper and use it in ifup-eth

* Sat Jul 01 2006 Olivier Blin <oblin@mandriva.com> 8.34-3mdv2007.0
- use killproc to kill dm service (from AAW, #23438)
- use action() instead of runcmd() (#23440)

* Wed Jun 28 2006 Olivier Blin <oblin@mandriva.com> 8.34-2mdv2007.0
- output dm pid in /var/run/dm.pid to fix dm service status (#19321)
- remove hardcoded X11R6 path in prefdm
- add missing newline characters in some status() messages

* Sat Jun 24 2006 Olivier Blin <oblin@mandriva.com> 8.34-1mdv2007.0
- merge with rh 8.34
- sysctl.conf: set dev.cdrom.autoclose to 1
  (as supermount isn't used anymore for CD-Roms)
- fix ip-up merge with rh8.33 (define REALDEVICE correctly)

* Wed May 24 2006 Olivier Blin <oblin@mandriva.com> 8.33-4mdk
- rc.modules: add modprobe.preload.d and modules.d support
- rc.modules: use "logger -t $0" instead of "initlog -s"
- (painfully) move to SVN
- fix prereq (tv)

* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 8.33-3mdk
- copy udev rules created while root was read-only (Andrey Borzenkov)
- bump udev requires

* Fri May 05 2006 Olivier Blin <oblin@mandriva.com> 8.33-2mdk
- handle /fsckoptions in rc.sysinit (should have been merged years ago)
- really use fsck return code in rc.sysinit (#22276)
- run ifplugd -k -W only once (#22278)
- unimplement --version (Manuel Lpez-Ibez, #20031)
- fix typo in netfs service (use Required-Stop)

* Thu May 04 2006 Olivier Blin <oblin@mandriva.com> 8.33-1mdk
- merge with rh 8.33
- use ifup-post to update resolv.conf when possible
  (so that DNS servers are correctly ordered)
- revert wrong fix for vconfig path (in ifup and ifdown, #21849)
- don't delete ppp peers file for ADSL connections (#21506)
- don't run update_boot_stage (#21819)
- remove some kernel 2.2 support in rc.sysinit

* Tue Mar 28 2006 Olivier Blin <oblin@mandriva.com> 8.31.2-1mdk
- merge with rh 8.31.2

* Thu Feb 09 2006 Olivier Blin <oblin@mandriva.com> 8.26-1mdk
- merge with rh 8.26
- install rc.modules in /etc (#21058)
- fix endless loop in change_resolv_conf (Michael Reinsch, #21059)
- use su instead of runuser (#21063)
- sysconfig.txt: fix some typos

* Mon Feb 06 2006 Olivier Blin <oblin@mandriva.com> 8.23-1mdk
- merge with rh 8.23:
  o split ifup-eth out of ifup
  o make ipv6 stuff almost vanilla
  o add /var/log/btmp
  o remove fsck prompt in rc.sysinit
  o remove rawdevices service
  o remove minilogd
- ifup-eth:
 o simplify ifplugstatus usage
 o load wireless settings even if wpa_supplicant is used (#20398)

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-59mdk
- enable pinit by default (nopinit disables it)
- print "is an LSB script" messages in test mode only

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-58mdk
- initialize /dev contents from /lib/udev/devices (Andrey Borzenkov, #20648)
- try to remove cups run files (#20303)

* Sat Jan 14 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-57mdk
- prcsys: fix typo in LSB message (Dick Gevers, #20626)
- dm:
  o should start acpid (or else X will steal /proc/acpi/event)
  o should start dkms (nvidia/ati drivers)
- fix build on sparc by including obsolete usb service (Per yvind Karlsen)
- resurrect missing changelog entry from Thierry Vignaud

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-56mdk
- from Couriousous: add test mode in prcsys (--test),
  don't execute script, only show run order
- from Thierry Vignaud: enable to disable EVMS either by passing
  "noevms" on the kernel command line or by adding 'NOEVMS="no"' into
  /etc/sysconfig/init

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-55mdk
- prcsys:
  o misc minor fixes (don't segfault, don't rm /dev/null)
  o LSB tags support (from Couriousous)
- convert X-Parallel-* tags to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 7.61.1-54mdk
- rc.sysinit: check for /dev/.udev
- from Couriousous:
  o prcsys: add X-Parallel-Init support
  o add parallel init support in dm, partmon
  o network: require all firewall scripts to be started

* Sat Dec 31 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-53mdk
- rc.sysinit: fix incorrect use of the local keyword

* Sat Dec 31 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-52mdk
- rc.sysinit: wait for usb and firewire storage scanning processes to
  finish before initializing device-mapper/lvm
- initial parallel-init support (from Couriousous, with minor adjustments)
- mkrel

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-51mdk
- use /dev tmpfs from initrd again
- check if consolechars is in /bin (Pablo)

* Tue Sep 20 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-50mdk
- updated translations
- sysctl.conf: don't provide a value for net.ipv4.ip_forward.

* Sat Sep 17 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-49mdk
- ifdown:
  o wait for ifplugd to be killed
  o avoid SIOCGIFFLAGS usage when ifdown is run from hotplug
    (it triggers module loading)

* Tue Sep 13 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-48mdk
- updated translations
- fix %%post to use grep instead of fgrep (bug #18405)
- lang.sh: even in gdm, source $HOME/.i18n and /etc/sysconfig/i18n (bug #18230).

* Fri Sep 09 2005 Olivier Blin <oblin@mandrakesoft.com> 7.61.1-47mdk
- ifup: don't try to rename device according to HWADDR if no device
  exists, or else ifup will loop endlessly and block boot

* Wed Sep 07 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-46mdk
- really include my changes forgotten in 45mdk

* Tue Sep 06 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-45mdk
- umount initrd after the udev service has copied the lvm/dmraid nodes
- from Frederic Lepied:
  o tmpdir.sh: better init of the SECURE_LEVEL
  o tmpdir.sh: default SECURE_LEVEL is 3
  o dm: discplay a carriage return after the message in stop action
    (bug #16293, Bruno Santos).

* Mon Sep 05 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-44mdk
- network scripts (Andrey Borzenkov):
  o really handle wireless.d files in roaming mode (#18211)
  o ifup-wireless: handle WIRELESS_IWPRIV with spaces (#18207)
- tmpdir.sh (Frederic Lepied): bourne shell compatible fix

* Thu Sep 01 2005 Pixel <pixel@mandriva.com> 7.61.1-43mdk
- adapt inputrc.csh to new tcsh (bugzilla #17999)

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-42mdk
- add /etc/sysconfig/network-scripts/wireless.d
- rc.sysinit: use udevstart to handle usb coldplug on 2.6 kernels
- ifup:
  o move dynamic config test after wireless.d sourcing, so that
    BOOTPROTO can actually be overriden (#17973, Michael Reinsch)
  o don't use hardcoded interface name in roaming mode
    (#17974, Michael Reinsch)
  o do not run wpa_supplicant again on association if ifplugd
    is used and WIRELESS_MODE != "Roaming" (#17989)
- ifup-wireless: don't forbid to set key before xsupplicant is run
- lang.sh (Pablo): fixed problem of LANGUAGE=C remaining when changing
   between X11 <-> console for the special cases when localization
   is not supported in one of the two but is on the other.

* Sat Aug 27 2005 Thierry Vignaud <tvignaud@mandriva.com> 7.61.1-41mdk
- do not keep initrd's /dev (thus fixing cciss support)

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 7.61.1-40mdk
- compress ChangeLog (to be smaller)

* Sat Aug 20 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-39mdk
- rc.sysinit, netfs: added suport for shfs (bug #15964)
- halt: fixed random-seed file name (bug #15889).

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-38mdk
- allow to use the "daemon" parameter instead of "boot" in
  ifup/ifdown, so that daemons (ifplugd/wpa_supplicant) can be used
  even if ONBOOT=no
- allow wpa_supplicant to be used without roaming

* Fri Aug 12 2005 Flavio Bruno Leitner <flavio@mandriva.com> 7.61.1-37mdk
- changed requires from modutils to module-init-tools

* Tue Aug 09 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-36mdk
- fixed single user mode (bug #16823)

* Sat Aug 06 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-35mdk
- handle wireless ESSIDs with spaces for wireless roaming

* Fri Aug 05 2005 Olivier Blin <oblin@mandriva.com> 7.61.1-34mdk
- no need to regenerate mozilla registry at firstboot anymore
  (Frederic Crozat)
- xsupplicant support in ifup-wireless (Arnaud de Lorbeau)
- add wireless roaming support
- start wpa_supplicant in ifup instead of ifup-wireless
  (start it at boot or if roaming is disabled)
- start ifplugd in ifup (with boot option) instead of network service
- don't delete route for interfaces related to an alias interface
  being shut down
- skip metric setting for alias interface

* Tue Jul 12 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-33mdk
- fix hotplug stuff wrt to network devices
- translation updates

* Tue Jul 05 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-32mdk
- netfs: fixed NFS shares are not mounted at boot (bug #16531).
- translation updates

* Sat Jun 18 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-31mdk
- rc.sysinit: Mandriva Linux
- updated translations: ms and nb
- mandrake_everytime: fix netprofile vs globetrotter (Thierry)

* Thu Jun 02 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-30mdk
- prefdm: fix dm variable for non standard display manager (littletux).

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-29mdk
- prefdm: use the right default values for looking up the display
  manager.
- mandrake/lookupdm: use NAME as the key to find the right entry
  instead of DISPLAYMANAGER.
- rc.d/init.d/network: fix net-pf-10 alias being rewritten at each
  boot (#16045) (Olivier Blin)

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-28mdk
- network-functions, ifup: fixed ethtool path

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 7.61.1-27mdk
- update of translations
- use a modularized prefdm script to be able to provide new display
  managers easily (based on Loic Baudry's work).
- sysconfig/network-scripts/ifup-wireless: allow multi-line
  WIRELESS_IWPRIV variable (Olivier Blin).
- sysconfig/network-scripts/ifup: DVB support (Olivier Blin).
- rc.d/rc.sysinit: fix syntax error when nousb is used on the
  command line (David Faure).

* Tue Apr 05 2005 Olivier Blin <oblin@mandrakesoft.com> 7.61.1-26mdk
- ralink interfaces need to be up before performing iwconfig commands
- ATMARP protocol support, enabled if ATM_ADDR is defined (VCI.VPI),
  useful for modems using the atm kernel module (e.g. Speedtouch)
  and ISP using "RFC 1483 Routed VC MUX" (e.g. Free Degroupe)
- do not write empty net-pf-10 aliases
- change Mandrake in Mandrakelinux for the default theme (Warly)

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 7.61.1-25mdk
- mandrake_everytime: do not use initlog in quiet mode for netprofiles (menu)
- rc.sysinig: check that /usr/bin/consolechars is available before 
  calling setsysfonts (bug #11054)
- rc.d/init.d/network: fix duplicate addition of aliases in modprobe.conf
  and correct a potential bug when NETWORKING_IPV6 is not set (blino)

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-24mdk
- netfs, network: fixed nfs unmounting (Oden, bug #13677)
- mandrake_everytime: put the -depth argument of find at the right
place (J.A. Magallon, bug #13354).
- po updates: sk.
- rc.sysinit: o don't enable process accounting here (bug #13672).
              o removed duplicated code for setting hdparm options (bug #13677).

* Mon Mar 14 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-23mdk
- /etc/rc.local must be a config file (bug #13553)
- requires ifmetric
- setsysfont, rc.d/rc.sysinit, rc.d/init.d/functions: added a
 get_locale_encoding function to rc.d/init.d/functions so that
 detection of locale encoding from init scripts is easier;
 simplified the font loading.	rewrite setsysfont script to better
 detect the locale, and to look first at /etc/sysconfig/console in
 all cases. (Pablo)
- rc.d/rc.local: put issue and issue.net stuff in mandrake_everytime.
- rc.d/init.d/network: handle net-pf-10 alias for respecting
 NETWORKING_IPV6 (Warly, bug #11896).
- po updates
- do not try to restart the no more existing random service (Thierry, #13426)

* Tue Feb 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-22mdk
- requires udev
- ifup-ppp: do not detach ppp for modems (Olivier Blin)
- po updates
- rc.sysinit:
	o start EVMS if needed (bug #13634) (Thierry)
        o use udev instead of hotplug (thus fixing sysfs
	populating delays and delete/add serializing) (Thierry)
	o start udev very early while bootstrapping, thus
	fixing lost device nodes for lvm2 (bug #12046) (Thierry)
- rawdevices: workaround broken autoloading of raw driver (Thierry).

* Thu Feb 10 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-21mdk
- init.d/rawdevices: workaround broken autoloading of raw
  driver. (Thierry)
- rc.sysinit: use udev instead of hotplug (thus fixing sysfs
  populating delays and delete/add serializing). (Thierry)
- po updates
- init.d/functions: force use of UTF-8 (OUTPUT_CHARSET=UTF-8)
for the bootsplash translations. (Pablo)
- Added Brazilian man files (Pablo)

* Wed Feb 02 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-20mdk
- po updates
- no wait anymore for ifup result in network service when using ifplugd

* Tue Feb 01 2005 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-19mdk
- po updates
- mandrake/supermount: remove unhide from floppy options (Olivier
  Blin, bug #7336).
- rc.d/rc.sysinit: Michel Bouissou, bug #12771: - avoid activating
  encrypted swap partition directly handled by swapon.	- work with
  static crypto modules.  - keep the swap signature (4096 first
  bytes) when mounting an encrypted swap.
- rc.d/rc.sysinit: Don't apply hdparm on software RAID arrays that
  are in process of background resyncing (Michel Bouissou , bug
  - rc.d/init.d/network: use ifplugd on static address too (bug
  - rc.d/init.d/functions: fix translation errors for autofs
  (Guillaume Rousse, bug #12303).
- rc.d/rc.sysinit: fix untranslation of 3 first messages (#12507)
  by setting font and the like earlier (Thierry).
- rc.d/rc.sysinit: delete /var/run/xdmctl (bug #13155).
- sysconfig/network-scripts/ifup-wireless: added the POWER option
  to manage iwconfig power option (Brouard Nicolas).
- initscripts no more config files.

* Fri Dec 17 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-18mdk
- rc.d/rc.sysinit: be sure to create block devices in udev mode
  (Luca Berra)
- sysconfig/network-scripts/ifup-wireless: support for
  wpa_supplicant (Nicolas Chipaux)
- sysconfig/network-scripts/ifdown: kill wpa_supplicant for the
  interface too
- rc.d/rc.sysinit: fix udev check after switching from udev-030 to
  udev-046 (#12553)
- po updates: ku, br and ca

* Sat Oct 09 2004 Warly <warly@mandrakesoft.com> 7.61.1-17mdk
- revert Olivier change which breaks splash displaying at shutdown

* Fri Oct 01 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-16mdk
- don't try to mount /dev/pts twice (bug #11756)

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-15mdk
- rc.sysinit: modprobe scsi_hostadapter earlier to be able to use lvm
  on a second scsi controller (reported by Luca Berra)

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-14mdk
- rc.sysinit: fix init of /dev/tty[1-8]
- rc.sysinit: fix mount of /dev/pts and /dev/shm
- po updates

* Wed Sep 22 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-13mdk
- rc.d/init.d/functions: do not restore splash as silent if verbose
 mode was enabled very early (Olivier).
- po updates

* Wed Sep 22 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-12mdk
- setsysfont, rc.d/rc.sysinit: improved the way that the encoding
 of the console is guessed (bug #11147) (Pablo)
- po updates
- fix loading of st module (Luca Berra)
- fixed Continue in interactive startup (bug #10943)
- rc.sysinit: correct test for devfsd and add newline in the output
 (bug #11318)

* Tue Sep 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-11mdk
- po updates
- clean correctly dynamic desktop files

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-10mdk
- correctly add search directive in resolv.conf (bug #11317)
- don't use ttys when not available (bug #11314)

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-9mdk
- set TMP and TMPDIR to /tmp to have the same behaviour during boot and
after (request from Giuseppe)
- move /initrd/dev to /dev in udev mode and lazy umount /initrd
- po updates

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-8mdk
- rc.sysinit: fixed typo

* Wed Sep 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-7mdk
- it man pages
- po updates
- modprobe ide-cd and scsi_hostadapter

* Tue Sep 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-6mdk
- rc.d/rc.sysinit: handle udev in initrd (Luca Berra)
- lang.sh: export QT_IM_MODULE too since it's needed by
  Qt-immodule-20040819 (UTUMI Hirosi)
- po updates

* Thu Sep 02 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-5mdk
- rc.sysinit: LVM fixes for udev mode (Luca Bera)
- po updates

* Thu Sep 02 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-4mdk
- po updates and fixes
- do not override the default config file in adsl-stop, let it use its
/etc/ppp/pppoe.conf (Olivier)
- rc.sysinit: modprobe loop, aes and cryptoloop when needed
- rc.sysinit fixes from Luca Bera:
1) rework creation of device mapper control node so we don't depend on
nash.
2) mdadm is preferred over raidtools now, and empty configuration files
are ignored.
3) correctly activate lvm after raid.
4) mount other filesystem once, not twice.

* Fri Aug 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-3mdk
- usb: cold boot devices with hotplug rc script

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-2mdk
- rc.d/init.d/halt: remove sleep and exit in case of powerfail
(apcupsd). request from David Walser.
- ifup-ppp: fix default route removal (Olivier)
- ifup: fix loop when using HWADDR (bug #10851)
- po updates

* Wed Aug 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.61.1-1mdk
- merged with 7.61.1

* Wed Aug 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-54mdk
- rc.sysinit: cleanup dynamic files for KDE and GNOME
- init.d/functions: define locale when calling splash.sh (Pablo)
- rc.sysinit: fix crypto fs message (from Lubos Klokner)
- po updates
- ifup-ppp: delete default route only on the same interface
- ifup: ifmetric is called from ifup-post now
- mandrake_everytime: no need anymore to use /etc/sysconfig/network-scripts/noifup

* Sat Jul 31 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-53mdk
- ifup: call ifmetric if METRIC is set.

* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-52mdk
- do not set hotplug to /bin/true anymore (bug #9289)
- ifup-ppp: detach pppd once the connection is established, thus
 avoiding to hang the boot process if a ppp connection is started at
 boot. (Olivier)
- ifup-ppp: fix pppoe startup (Thierry)
- po updates
- sysctl.conf: add a more meaningful comment to autoclose. (Warly)

* Fri Jun 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-51mdk
- modifications to be able to use the network service instead of the
  internet service for ADSL connections (Damien)
- po updates
- merged with 7.06-49.1.100mdk:
  - lang.csh, lang.sh: do not return when LC_SOURCED is set but only
   avoid sourcing the i18n file (anthill #919)
  - fixed ifdown-aliases (bug #9366)
  - rc.sysinit: use translated keys too during fsck question (bug #8024)
  - rc.sysinit: remove unneeded code for loopback filesystem check (Glenn Burkhardt) (bug #8698)
  - rc.sysinit: only check nousb on the command line to not start the usb service (bug #9830).

* Wed Jun 02 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.06-50mdk
- sound services handled by the sound-scripts package now (Thierry)
- po: eo, ro, gl, eu, ky: updated po files (Pablo)
- mandrake/usb: get back to usbfs as speedtch kernel driver is now
 properly working with both 2.4 and 2.6 and needs it. (thanks to pump) (Damien)
- sysconfig/network-scripts/network-functions: adapt to ifplugd-0.24 (Thierry)
- rc.d/rc.local: If using the default logo it will use the mandrake
 logo instead :) (Per yvind Karlsen)

